import { Injectable, NgZone } from '@angular/core';
import { listen, Event, emit } from '@tauri-apps/api/event';
import { Observable, from } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class EventsService {
  constructor(private zone: NgZone) { }
  listen<T>(name: string,): Observable<Event<T>> {
    return new Observable<Event<T>>((subscriber) => {
      
      const unlisten = listen(name, (v: Event<T>) => {
        this.zone.run(() => subscriber.next(v));
      });

      return async () => { (await unlisten)() };
    });
  }

  emit<T>(name: string, event: T): Observable<void> {
    return from(emit(name, event));
  }
}       