import { Injectable } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import MarkdownIt from 'markdown-it';
import colorPlugin from 'markdown-it-color';

@Injectable({
  providedIn: 'root'
})
export class MarkdownService {
  private md: MarkdownIt;
  constructor(private sanitizer: DomSanitizer) {
    this.md = new MarkdownIt().use(colorPlugin, {
      inline: true,
    });
  }

  render(content: string) {
    return this.sanitizer.bypassSecurityTrustHtml(this.md.render(content));
  }
}
