
import { Directive, EventEmitter, HostListener, Output } from '@angular/core';

@Directive({
  selector: '[RecordKeyChord]',
  standalone: true
})
export class RecordKeyChord {
  @Output() chord = new EventEmitter<string[]>;

  chordStack: string[] = [];

  @HostListener('window:keydown', ['$event'])
  handleKeyDown(event: KeyboardEvent) {
    this.chordStack.push(event.key);
    this.chord.next(this.chordStack);
  }
  
  @HostListener('window:keyup', ['$event'])
  handleKeyUp(event: KeyboardEvent) {
    this.chordStack = [];
  }

}