import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgxMoveableComponent } from 'ngx-moveable';
import { PlanDisplayComponent } from './plan-display.component';
import { CarouselComponent } from '../carousel/carousel.component';
import { FormsModule } from '@angular/forms';
import { NotesComponent } from '../editor/notes/notes.component';
import { AngularResizeEventModule } from 'angular-resize-event';
import { SettingsComponent } from '../settings/settings.component';
import { OverlayModule } from '@angular/cdk/overlay';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';
import { MatListModule } from '@angular/material/list';
import { ScalableComponent } from '../Scalable/scalable.component';
import { MatTooltipModule } from '@angular/material/tooltip';
import { TooltipComponent } from '../tooltip/tooltip.component';
import { AngularSvgIconModule } from 'angular-svg-icon';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { MatDialogModule } from '@angular/material/dialog';
import { ResumeDialog } from './resume-dialog.component';
import { AggregateDisplayComponent } from '../aggregate-display/aggregate-display.component';
import { DraggableWindowComponent } from '../draggable-window/draggable-window.component';
import { StopwatchControlsComponent } from './stopwatch-controls/stopwatch-controls.component';
import { PlanSelectionComponent } from './plan-selection/plan-selection.component';
@NgModule({
  declarations: [
    PlanDisplayComponent,
  ],
  imports: [
    CommonModule,
    NgxMoveableComponent,
    CarouselComponent,
    FormsModule,
    NotesComponent,
    AngularResizeEventModule,
    SettingsComponent,
    OverlayModule,
    MatIconModule,
    MatButtonModule,
    MatIconModule,
    MatListModule,
    ScalableComponent,
    MatTooltipModule,
    TooltipComponent,
    AngularSvgIconModule,
    ScrollingModule,
    MatDialogModule,
    ResumeDialog,
    AggregateDisplayComponent,
    DraggableWindowComponent,
    StopwatchControlsComponent,
    PlanSelectionComponent,
  ],
  exports: [
    PlanDisplayComponent
  ]
})
export class PlanDisplayModule { }
