import { Component } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { MatButtonModule } from "@angular/material/button";
import { MatDialogModule, MatDialogRef } from "@angular/material/dialog";
import { MatFormFieldModule } from "@angular/material/form-field";
import { MatInputModule } from "@angular/material/input";

export enum Resume {
  Discard,
  Next,
  Instant
}

@Component({
  selector: 'resume-dialog',
  templateUrl: 'resume-dialog.component.html',
  standalone: true,
  imports: [MatDialogModule, MatFormFieldModule, MatInputModule, FormsModule, MatButtonModule],
})
export class ResumeDialog {

  instant() {
    this.dialogRef.close(Resume.Instant);
  }
  next() {
    this.dialogRef.close(Resume.Next);
  }
  discard() {
    this.dialogRef.close(Resume.Discard);
  }

  constructor(public dialogRef: MatDialogRef<ResumeDialog>) {}
}